<ion-content>
  <div class="container header">
    <a href="">
      <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    </a>
    <div class="title">
      <div class="container-flex">
        <h1 class="item flex-grow-item">Commande n° <span *ngIf="order">{{order.id}}</span></h1>
        <img src="assets/icon/next.svg" class="item icon">
      </div>
    </div>
    <hr>
  </div>
  <div class="info-card container">
      <div class="flex product">
        <div class="container-flex">
          <p class="big-text item flex-grow-item">Statut :</p>
          <p class="big-text item flex-grow-item statut"><strong>En attente</strong></p>
        </div>
        <p *ngIf="order" class="big-text date">{{order.createdAt | date: 'dd/MM/yyyy'}}</p>
      </div>

    <div class="flex">
      <div class="container-flex">
        <p class="big-text item flex-grow-item drop-date">Date de livraison :</p>
        <p class="big-text item flex-grow-item drop-date">18.08.2021</p>
      </div>
    </div>
  </div>

  <div *ngIf="list" class="container flex mg-bottom-sm lg-space">
      <h2><strong>{{count}}</strong> produits commandés</h2>
    <div *ngFor="let items of list">
      <div *ngFor="let item of items" class="container-flex three-columns lg-space">
        <div class="big-item-one img-container">
          <img src="{{item.photo}}" alt="product-picture" class="img">
        </div>
        <div class="big-item-two">
          <p class="big-text prod-name mg-bottom-sm">{{item.name}}</p>
          <div class="container-flex">
            <div class="item"><p class="small-text">Le {{item.unity}}</p></div>
            <div class="item"><p class="small-text align-right">{{item.price}} CHF</p></div>
          </div>
          <div class="container-flex">
            <div class="item"><p class="small-text">Quantité :</p></div>
            <div class="item"><p class="big-text align-right"><strong>{{item.quantity}}</strong></p></div>
          </div>
          <div class="container-flex">
            <div class="item"><p class="small-text">Total</p></div>
            <div class="item"><p class="small-text align-right">{{item.quantity * item.price}} CHF</p></div>
          </div>
        </div>
      </div>
    </div>

    <hr>

  </div>

  <div class="container">

    <div class="flex mg-bottom-sm">
      <div class="title">
        <div class="container-flex">
          <h2 class="item flex-grow-item">Ton producteur</h2>
          <img src="assets/icon/phone.svg" class="item icon">
        </div>
      </div>
      <a href="/farm-detail">
        <div class="farm-card">
          <p class="link">A 3 km - Lausanne, VD</p>
          <div class="border">
            <img src="assets/img/ferme1.jpg" alt="farm pic" class="img">
            <div class="stock-status">
              <div class="label mini-text">Ferme d'élevage de bovins laitiers</div>
            </div>
            <div class="label product-name">La ferme d'Ailleurs</div>
            <div class="container-flex label type-price">
              <div class="item small-text"><strong>58</strong> produits</div>
            </div>
          </div>
        </div>
      </a>
    </div>
  </div>


  <div class="footer">
    <ion-tabs>
      <ion-tab-bar slot="bottom" position="sticky">
        <a href="/homepage-consommateur" class="menu-link">
          <ion-tab-button>
            <ion-icon name="home" class="tab-inactive"></ion-icon>
            <ion-label>Home</ion-label>
          </ion-tab-button>
        </a>
        <a href="/marketplace-products" class="menu-link">
        <ion-tab-button>
          <ion-icon name="nutrition" class="tab-inactive"></ion-icon>
          <ion-label>Marché</ion-label>
        </ion-tab-button>
        </a>
        <a href="/panier" class="menu-link">
          <ion-tab-button>
            <ion-icon name="cart" class="tab-inactive"></ion-icon>
            <ion-label>Panier</ion-label>
            <ion-badge color="danger">0</ion-badge>
          </ion-tab-button>
        </a>
        <a href="/profil-consommateur" class="menu-link">
          <ion-tab-button >
            <ion-icon name="person" class="icon-active"></ion-icon>
            <ion-label class="label-active">Profil</ion-label>
          </ion-tab-button>
        </a>
      </ion-tab-bar>
    </ion-tabs>
  </div>


</ion-content>
